Maintenance (#680)

This commit is contained in:
tteckster 2022-10-29 20:08:41 -04:00 committed by GitHub
parent 32cbe55b37
commit e7ec3d0275
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 218 additions and 182 deletions

View File

@ -1,33 +1,39 @@
#!/usr/bin/env bash #!/usr/bin/env bash
YW=`echo "\033[33m"` YW=$(echo "\033[33m")
BL=`echo "\033[36m"` BL=$(echo "\033[36m")
RD=`echo "\033[01;31m"` RD=$(echo "\033[01;31m")
GN=`echo "\033[1;92m"` GN=$(echo "\033[1;92m")
CL=`echo "\033[m"` CL=$(echo "\033[m")
CM="${GN}${CL}" CM="${GN}${CL}"
CROSS="${RD}${CL}" CROSS="${RD}${CL}"
BFR="\\r\\033[K" BFR="\\r\\033[K"
HOLD="-" HOLD="-"
function msg_info() { function msg_info() {
local msg="$1" local msg="$1"
echo -ne " ${HOLD} ${YW}${msg}..." echo -ne " ${HOLD} ${YW}${msg}..."
} }
function msg_ok() { function msg_ok() {
local msg="$1" local msg="$1"
echo -e "${BFR} ${CM} ${GN}${msg}${CL}" echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
} }
function msg_error() { function msg_error() {
local msg="$1" local msg="$1"
echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}" echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
} }
msg_info "Validating Storage" msg_info "Validating Storage"
VALIDCT=$(pvesm status -content rootdir | awk 'NR>1') VALIDCT=$(pvesm status -content rootdir | awk 'NR>1')
if [ -z "$VALIDCT" ]; then msg_error "Unable to detect a valid Container Storage location."; exit 1; fi; if [ -z "$VALIDCT" ]; then
msg_error "Unable to detect a valid Container Storage location."
exit 1
fi
VALIDTMP=$(pvesm status -content vztmpl | awk 'NR>1') VALIDTMP=$(pvesm status -content vztmpl | awk 'NR>1')
if [ -z "$VALIDTMP" ]; then msg_error "Unable to detect a valid Template Storage location."; exit 1; fi; if [ -z "$VALIDTMP" ]; then
msg_error "Unable to detect a valid Template Storage location."
exit 1
fi
set -o errexit set -o errexit
set -o errtrace set -o errtrace
@ -51,9 +57,15 @@ function select_storage() {
local CONTENT local CONTENT
local CONTENT_LABEL local CONTENT_LABEL
case $CLASS in case $CLASS in
container) CONTENT='rootdir'; CONTENT_LABEL='Container';; container)
template) CONTENT='vztmpl'; CONTENT_LABEL='Container template';; CONTENT='rootdir'
*) false || die "Invalid storage class.";; CONTENT_LABEL='Container'
;;
template)
CONTENT='vztmpl'
CONTENT_LABEL='Container template'
;;
*) false || die "Invalid storage class." ;;
esac esac
local -a MENU local -a MENU
@ -66,18 +78,18 @@ function select_storage() {
if [[ $((${#ITEM} + $OFFSET)) -gt ${MSG_MAX_LENGTH:-} ]]; then if [[ $((${#ITEM} + $OFFSET)) -gt ${MSG_MAX_LENGTH:-} ]]; then
local MSG_MAX_LENGTH=$((${#ITEM} + $OFFSET)) local MSG_MAX_LENGTH=$((${#ITEM} + $OFFSET))
fi fi
MENU+=( "$TAG" "$ITEM" "OFF" ) MENU+=("$TAG" "$ITEM" "OFF")
done < <(pvesm status -content $CONTENT | awk 'NR>1') done < <(pvesm status -content $CONTENT | awk 'NR>1')
if [ $((${#MENU[@]}/3)) -eq 1 ]; then if [ $((${#MENU[@]} / 3)) -eq 1 ]; then
printf ${MENU[0]} printf ${MENU[0]}
else else
local STORAGE local STORAGE
while [ -z "${STORAGE:+x}" ]; do while [ -z "${STORAGE:+x}" ]; do
STORAGE=$(whiptail --title "Storage Pools" --radiolist \ STORAGE=$(whiptail --title "Storage Pools" --radiolist \
"Which storage pool you would like to use for the ${CONTENT_LABEL,,}?\n\n" \ "Which storage pool you would like to use for the ${CONTENT_LABEL,,}?\n\n" \
16 $(($MSG_MAX_LENGTH + 23)) 6 \ 16 $(($MSG_MAX_LENGTH + 23)) 6 \
"${MENU[@]}" 3>&1 1>&2 2>&3) || die "Menu aborted." "${MENU[@]}" 3>&1 1>&2 2>&3) || die "Menu aborted."
done done
printf $STORAGE printf $STORAGE
fi fi
@ -118,9 +130,9 @@ fi
DEFAULT_PCT_OPTIONS=( DEFAULT_PCT_OPTIONS=(
-arch $(dpkg --print-architecture)) -arch $(dpkg --print-architecture))
PCT_OPTIONS=( ${PCT_OPTIONS[@]:-${DEFAULT_PCT_OPTIONS[@]}} ) PCT_OPTIONS=(${PCT_OPTIONS[@]:-${DEFAULT_PCT_OPTIONS[@]}})
[[ " ${PCT_OPTIONS[@]} " =~ " -rootfs " ]] || PCT_OPTIONS+=( -rootfs $CONTAINER_STORAGE:${PCT_DISK_SIZE:-8} ) [[ " ${PCT_OPTIONS[@]} " =~ " -rootfs " ]] || PCT_OPTIONS+=(-rootfs $CONTAINER_STORAGE:${PCT_DISK_SIZE:-8})
msg_info "Creating LXC Container" msg_info "Creating LXC Container"
pct create $CTID ${TEMPLATE_STORAGE}:vztmpl/${TEMPLATE} ${PCT_OPTIONS[@]} >/dev/null || pct create $CTID ${TEMPLATE_STORAGE}:vztmpl/${TEMPLATE} ${PCT_OPTIONS[@]} >/dev/null ||

View File

@ -10,13 +10,13 @@ NSAPP=$(echo ${APP,,} | tr -d ' ')
var_install="${NSAPP}-install" var_install="${NSAPP}-install"
NEXTID=$(pvesh get /cluster/nextid) NEXTID=$(pvesh get /cluster/nextid)
INTEGER='^[0-9]+$' INTEGER='^[0-9]+$'
YW=`echo "\033[33m"` YW=$(echo "\033[33m")
BL=`echo "\033[36m"` BL=$(echo "\033[36m")
RD=`echo "\033[01;31m"` RD=$(echo "\033[01;31m")
BGN=`echo "\033[4;92m"` BGN=$(echo "\033[4;92m")
GN=`echo "\033[1;92m"` GN=$(echo "\033[1;92m")
DGN=`echo "\033[32m"` DGN=$(echo "\033[32m")
CL=`echo "\033[m"` CL=$(echo "\033[m")
BFR="\\r\\033[K" BFR="\\r\\033[K"
HOLD="-" HOLD="-"
CM="${GN}${CL}" CM="${GN}${CL}"
@ -36,14 +36,14 @@ function error_exit() {
exit $EXIT exit $EXIT
} }
if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then
echo "User selected Yes" echo "User selected Yes"
else else
clear clear
echo -e "⚠ User exited script \n" echo -e "⚠ User exited script \n"
exit exit
fi fi
function header_info { function header_info {
echo -e "${RD} echo -e "${RD}
____ __________ _______ _ __ ____ __________ _______ _ __
/ __ \/ ____/ __ )/ _/ | / | / / / __ \/ ____/ __ )/ _/ | / | / /
/ / / / __/ / __ |/ // /| | / |/ / / / / / __/ / __ |/ // /| | / |/ /
@ -52,168 +52,192 @@ echo -e "${RD}
${CL}" ${CL}"
} }
function msg_info() { function msg_info() {
local msg="$1" local msg="$1"
echo -ne " ${HOLD} ${YW}${msg}..." echo -ne " ${HOLD} ${YW}${msg}..."
} }
function msg_ok() { function msg_ok() {
local msg="$1" local msg="$1"
echo -e "${BFR} ${CM} ${GN}${msg}${CL}" echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
} }
function PVE_CHECK() { function PVE_CHECK() {
PVE=$(pveversion | grep "pve-manager/7" | wc -l) PVE=$(pveversion | grep "pve-manager/7" | wc -l)
if [[ $PVE != 1 ]]; then if [[ $PVE != 1 ]]; then
echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}" echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}"
echo -e "Exiting..." echo -e "Exiting..."
sleep 2 sleep 2
exit exit
fi fi
} }
function default_settings() { function default_settings() {
echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}" echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}"
CT_TYPE="1" CT_TYPE="1"
echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}" echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}"
PW="" PW=""
echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}" echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}"
CT_ID=$NEXTID CT_ID=$NEXTID
echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}" echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}"
HN=$NSAPP HN=$NSAPP
echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}" echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}"
DISK_SIZE="$var_disk" DISK_SIZE="$var_disk"
echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}" echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}"
CORE_COUNT="$var_cpu" CORE_COUNT="$var_cpu"
echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}" echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}"
RAM_SIZE="$var_ram" RAM_SIZE="$var_ram"
echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}" echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}"
BRG="vmbr0" BRG="vmbr0"
echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}" echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}"
NET=dhcp NET=dhcp
echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}" echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}"
GATE="" GATE=""
echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}" echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}"
MAC="" MAC=""
echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}" echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}"
VLAN="" VLAN=""
echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}" echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}"
} }
function advanced_settings() { function advanced_settings() {
CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 8 58 2 \ CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 8 58 2 \
"1" "Unprivileged" ON \ "1" "Unprivileged" ON \
"0" "Privileged" OFF \ "0" "Privileged" OFF \
3>&1 1>&2 2>&3) 3>&1 1>&2 2>&3)
exitstatus=$? exitstatus=$?
if [ $exitstatus = 0 ]; then if [ $exitstatus = 0 ]; then
echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}" echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}"
fi
PW1=$(whiptail --inputbox "Set Root Password" 8 58 --title "PASSWORD(leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ $exitstatus = 0 ]; then
if [ -z $PW1 ]; then PW1="Automatic Login" PW=" ";
echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
else
PW="-password $PW1"
echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
fi fi
fi PW1=$(whiptail --inputbox "Set Root Password" 8 58 --title "PASSWORD(leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3) exitstatus=$?
exitstatus=$? if [ $exitstatus = 0 ]; then
if [ -z $CT_ID ]; then CT_ID="$NEXTID"; echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"; if [ -z $PW1 ]; then
else PW1="Automatic Login" PW=" "
if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi; echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
fi else
CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3) PW="-password $PW1"
exitstatus=$? echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
if [ -z $CT_NAME ]; then HN="$NSAPP"; echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"; fi
else
if [ $exitstatus = 0 ]; then HN=$(echo ${CT_NAME,,} | tr -d ' '); echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"; fi;
fi
DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $DISK_SIZE ]; then DISK_SIZE="$var_disk"; echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}";
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi;
if ! [[ $DISK_SIZE =~ $INTEGER ]] ; then echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"; advanced_settings; fi;
fi
CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $CORE_COUNT ]; then CORE_COUNT="$var_cpu"; echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}";
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi;
fi
RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $RAM_SIZE ]; then RAM_SIZE="$var_ram"; echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}";
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi;
fi
BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $BRG ]; then BRG="vmbr0"; echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}";
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi;
fi
NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $NET ]; then NET="dhcp"; echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}";
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi;
fi
GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ $exitstatus = 0 ]; then
if [ -z $GATE1 ]; then GATE1="Default" GATE="";
echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
else
GATE=",gw=$GATE1"
echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
fi fi
fi CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3) exitstatus=$?
exitstatus=$? if [ -z $CT_ID ]; then
if [ $exitstatus = 0 ]; then CT_ID="$NEXTID"
if [ -z $MAC1 ]; then MAC1="Default" MAC=""; echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"
echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}" else
else if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi
MAC=",hwaddr=$MAC1"
echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
fi fi
fi CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3) exitstatus=$?
exitstatus=$? if [ -z $CT_NAME ]; then
if [ $exitstatus = 0 ]; then HN="$NSAPP"
if [ -z $VLAN1 ]; then VLAN1="Default" VLAN=""; echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}" else
else if [ $exitstatus = 0 ]; then
VLAN=",tag=$VLAN1" HN=$(echo ${CT_NAME,,} | tr -d ' ')
echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}" echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
fi fi
fi fi
if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $DISK_SIZE ]; then
DISK_SIZE="$var_disk"
echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi
if ! [[ $DISK_SIZE =~ $INTEGER ]]; then
echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"
advanced_settings
fi
fi
CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $CORE_COUNT ]; then
CORE_COUNT="$var_cpu"
echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi
fi
RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $RAM_SIZE ]; then
RAM_SIZE="$var_ram"
echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi
fi
BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $BRG ]; then
BRG="vmbr0"
echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi
fi
NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ -z $NET ]; then
NET="dhcp"
echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"
else
if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi
fi
GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ $exitstatus = 0 ]; then
if [ -z $GATE1 ]; then
GATE1="Default" GATE=""
echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
else
GATE=",gw=$GATE1"
echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
fi
fi
MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ $exitstatus = 0 ]; then
if [ -z $MAC1 ]; then
MAC1="Default" MAC=""
echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
else
MAC=",hwaddr=$MAC1"
echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
fi
fi
VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
exitstatus=$?
if [ $exitstatus = 0 ]; then
if [ -z $VLAN1 ]; then
VLAN1="Default" VLAN=""
echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
else
VLAN=",tag=$VLAN1"
echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
fi
fi
if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then
echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}" echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}"
else else
clear clear
header_info header_info
echo -e "${RD}Using Advanced Settings${CL}" echo -e "${RD}Using Advanced Settings${CL}"
advanced_settings advanced_settings
fi fi
} }
function start_script() { function start_script() {
if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then
header_info header_info
echo -e "${BL}Using Default Settings${CL}" echo -e "${BL}Using Default Settings${CL}"
default_settings default_settings
else else
header_info header_info
echo -e "${RD}Using Advanced Settings${CL}" echo -e "${RD}Using Advanced Settings${CL}"
advanced_settings advanced_settings
fi fi
} }
clear clear
start_script start_script
if [ "$CT_TYPE" == "1" ]; then if [ "$CT_TYPE" == "1" ]; then
FEATURES="nesting=1,keyctl=1" FEATURES="nesting=1,keyctl=1"
else else
FEATURES="nesting=1" FEATURES="nesting=1"
fi fi
TEMP_DIR=$(mktemp -d) TEMP_DIR=$(mktemp -d)
pushd $TEMP_DIR >/dev/null pushd $TEMP_DIR >/dev/null
export CTID=$CT_ID export CTID=$CT_ID